Subject: Re: linux-next: build failure after merge of the bkl-config tree

From: Arnd Bergmann <[email-masked]>
Date: Tue, 15 Mar 2011 13:59:12 +0100

On Tuesday 15 March 2011, Stephen Rothwell wrote:
> After merging the bkl-config tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/nfs/read.c:21:28: error: linux/smp_lock.h: No such file or directory
> 
> Caused by commit 64419a9b2093 ("NFSv4.1: generic read") from the nfs tree
> interacting with commit 4ba8216cd905 ("BKL: That's all, folks") from the
> bkl-config tree.
> 
> I couldn't see that this include file was needed, so I applied the patch
> below (which Trond could apply to his tree, I am pretty sure).  (I am not
> sure why module.h is included either.)
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Tue, 15 Mar 2011 18:37:09 +1100
> Subject: [PATCH] nfs: BKL is no longer needed, so remove the include
> 

The fix is good. I have one patch in bkl-config that removes all instances
of #include <linux/smp_lock.h> treewide. Obviously that doesn't
help where new ones creep in, so we have to eliminate them one
by one.

	Arnd